Latest 1.0.0-localizable
Homepage https://github.com/linusgeffarth/LGTextView
License MIT
Platforms ios 9.1
Frameworks UIKit
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

  • Swift 4.2
  • iOS 8+
  • Xcode 8+

Installation

LGTextView is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'LGTextView'

Usage

To use an LGTextView, simply drag a regular UITextView into your storyboard, and set its class to LGTextView. You’ll then be able to enter the placeholder of your choice.
Alternatively, you can create an LGTextView with placeholder in code, as follows:

textView.placeholder = "Put some fancy placeholder here 💥"

Contribution

If you would like to contribute, I’ll happily approve and merge pull requests. If you have any issues using this library, found a bug, or have an idea for an enhacement, it’s not issue to open an issue :) (ha!)

Author

Linus Geffarth, [email protected]

License

LGTextView is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "LGTextView",
    "version": "1.0.0-localizable",
    "summary": "Simple UITextView subclass that features an IBInspectable placeholder",
    "description": "Simple UITextView subclass that features an IBInspectable placeholder written purely in Swift 4.2",
    "homepage": "https://github.com/linusgeffarth/LGTextView",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "linusgeffarth": "[email protected]"
    },
    "source": {
        "git": "https://github.com/linusgeffarth/LGTextView.git",
        "tag": "1.0.0-localizable",
        "branch": "localizable"
    },
    "social_media_url": "https://twitter.com/linusgeffarth",
    "platforms": {
        "ios": "9.1"
    },
    "swift_version": "4.2",
    "source_files": "LGTextView/Classes/*.swift",
    "frameworks": "UIKit",
    "ios": {
        "dependencies": {
            "Localize": [
                "~> 2.0.5"
            ]
        }
    }
}

Pin It on Pinterest

Share This